﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TabControlExt_HeaderTemplate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = new ViewModel();
        }
    }

    public class Model
    {
        private string header;

        public string Header
        {
            get { return header; }
            set { header = value; }
        }

        private string content;

        public string Content
        {
            get { return content; }
            set { content = value; }
        }
    }

    public class ViewModel
    {
        private List<Model> items;

        public List<Model> Items
        {
            get { return items; }
            set { items = value; }
        }

        public ViewModel()
        {
            items = new List<Model>();
            items.Add(new Model() { Header = "Tab Item 1", Content= "Content 1" });
            items.Add(new Model() { Header = "Tab Item 2", Content= "Content 2" });
            items.Add(new Model() { Header = "Tab Item 3", Content= "Content 3" });
        }
    }

    public class MyTabItemContainerStyleSelector : StyleSelector
    {
        private Style defaultStyle;

        public Style DefaultStyle
        {
            get { return defaultStyle; }
            set { defaultStyle = value; }
        }

        private Style biggerStyle;

        public Style BiggerStyle
        {
            get { return biggerStyle; }
            set { biggerStyle = value; }
        }

        public override Style SelectStyle(object item, DependencyObject container)
        {
            if (item != null && item is Model && (item as Model).Header.Contains("1"))
                return biggerStyle;
            return defaultStyle;
        }
    }
}
